Package ch.qos.logback.core.joran.spi

## Class NoAutoStartUtil

- java.lang.Object
- - ch.qos.logback.core.joran.spi.NoAutoStartUtil

    public class NoAutoStartUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`NoAutoStartUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `notMarkedWithNoAutoStart​(java.lang.Object o)` Returns true if the class of the object 'o' passed as parameter is *not* marked with the NoAutoStart annotation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoAutoStartUtil

    public NoAutoStartUtil()

### Method Detail

#### notMarkedWithNoAutoStart

    public static boolean notMarkedWithNoAutoStart​(java.lang.Object o)

Returns true if the class of the object 'o' passed as parameter is *not* marked with the NoAutoStart annotation. Return true otherwise.

Parameters:
  `o` -
Returns:
  true for classes not marked with the NoAutoStart annotation